> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datafold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Org Session

> Create an org-wide PM session. Chat / activity / stop / rename then go
through the shared session-id endpoints in `bolt/sessions.py`.



## OpenAPI

````yaml /openapi-public.json post /api/internal/bolt/org/sessions
openapi: 3.1.0
info:
  contact:
    email: support@datafold.com
    name: API Support
  description: >-
    The Datafold API reference is a guide to our available endpoints and
    authentication methods.

    If you're just getting started with Datafold, we recommend first checking
    out our [documentation](https://docs.datafold.com).


    :::info
      To use the Datafold API, you should first create a Datafold API Key,
      which should be stored as a local environment variable named DATAFOLD_API_KEY.
      This can be set in your Datafold Cloud's Settings under the Account page.
    :::
  title: Datafold API
  version: latest
servers:
  - description: Default server
    url: https://app.datafold.com
security:
  - ApiKeyAuth: []
paths:
  /api/internal/bolt/org/sessions:
    post:
      tags:
        - bolt
      summary: Create Org Session
      description: |-
        Create an org-wide PM session. Chat / activity / stop / rename then go
        through the shared session-id endpoints in `bolt/sessions.py`.
      operationId: create_org_session_api_internal_bolt_org_sessions_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProjectSessionRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PmSession'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreateProjectSessionRequest:
      properties:
        name:
          maxLength: 512
          title: Name
          type: string
      required:
        - name
      title: CreateProjectSessionRequest
      type: object
    PmSession:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        goal_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Goal Id
        id:
          format: uuid
          title: Id
          type: string
        interview_plan:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Interview Plan
        last_message_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Message At
        mode:
          default: general
          title: Mode
          type: string
        name:
          title: Name
          type: string
        project_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Project Id
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - project_id
        - goal_id
        - name
        - created_at
        - updated_at
      title: PmSession
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: Use the 'Authorization' header with the format 'Key <api-key>'
      in: header
      name: Authorization
      type: apiKey

````